{*******************************************************
 * Demo3 application                                   *
 *                                                     *
 * This sample show how to use the AVLock NET to       *
 * implement your own registration form.               *
 *                                                     *
 *     Part of the AVLock NET package                  *
 *     (c) Alcides Valega, 2002                        *
 *******************************************************}

{
NOTE: In order to avoid this demo can be cracked this does the
following critical assignment in the project file Demo2.dpr
    allowbackdate  := False;
    appid          := 876521;
    trialmode      := tmRelative;
    trialdays      := 30;
}

unit Unit3;

interface

uses
  Windows, Messages, Classes, Graphics,sysutils, Controls, Forms, Dialogs,
  Menus, ExtCtrls, jpeg, StdCtrls, shellapi, AVLockNet;

type
  TForm1 = class(TForm)
    MM1: TMainMenu;
    Module1: TMenuItem;
    Item111: TMenuItem;
    Item121: TMenuItem;
    Module2: TMenuItem;
    Item211: TMenuItem;
    Item221: TMenuItem;
    m1Opcin31: TMenuItem;
    Module3: TMenuItem;
    m3Opcin11: TMenuItem;
    m3Opcin21: TMenuItem;
    m3Opcin31: TMenuItem;
    Module4: TMenuItem;
    m4Opcin11: TMenuItem;
    m4Opcin21: TMenuItem;
    Archivos1: TMenuItem;
    Salir1: TMenuItem;
    Register1: TMenuItem;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    LUserName: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    LCompany: TLabel;
    AVLockNet1: TAVLockNet;
    procedure Item111Click(Sender: TObject);
    procedure Item121Click(Sender: TObject);
    procedure m1Opcin31Click(Sender: TObject);
    procedure Item211Click(Sender: TObject);
    procedure Item221Click(Sender: TObject);
    procedure m3Opcin11Click(Sender: TObject);
    procedure m3Opcin21Click(Sender: TObject);
    procedure m3Opcin31Click(Sender: TObject);
    procedure m4Opcin11Click(Sender: TObject);
    procedure m4Opcin21Click(Sender: TObject);
    procedure Salir1Click(Sender: TObject);
    procedure m5Option11Click(Sender: TObject);
    procedure m5Option21Click(Sender: TObject);
    procedure m6Option11Click(Sender: TObject);
    procedure m7Option11Click(Sender: TObject);
    procedure m8Option11Click(Sender: TObject);
    procedure Register1Click(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function MyExecute:boolean;
    procedure setmodules;
    procedure settext;
    procedure legend(m,i:integer);
  end;

var
  Form1: TForm1;
  txt  : string;

implementation
uses RegUnit3;
{$R *.DFM}


function TForm1.MyExecute:boolean;
var F:TRegForm1;
    nam,company,email,key:string;
    n:integer;
begin
  Result:=False;
  with avlocknet1 do begin
    read;
    if firsttime then maketrial;
    if Authorized then writelastdate;
    if (Registered or (Authorized and
       (EndDate-date > WarningDays)
       and not Expired))
    then result:=True else begin
      WriteLastDate;

      F:=TRegForm1.Create(self);
      try
      F.Caption:=AppName;
      F.BtnOk.Enabled:=not expired;
      F.Label1.Caption:='';
      if expired then F.Label1.Caption:='The authorized period has expired'
      else F.Label1.Caption:='You are in the day '+inttostr(trunc(date-BeginDate+1))+
      ' of your '+inttostr(days)+' day authorized period';

      F.ProgressBar1.Min :=0;
      F.ProgressBar1.Max :=trunc(enddate-begindate);
      F.Progressbar1.Position := trunc(date-begindate);

      repeat
        F.ShowModal;
        nam:=UserName;
        Company:=UserCompany;
        Email:=UserEmail;
        if (F.modalresult = mrYes) then begin
          n:= RegisterDlg(Nam,Company,Email,key);
          case n of
           2:begin
             WriteREg(key);
             writelastdate;
             read;
             end;
          end;
        end;
      until (F.modalresult <> mrYes);
      if (F.modalresult = mrOk) and not expired then Result:=True;
      finally
      F.Free;
      end;
    end;
  end;
  if not result then application.terminate;
end;


procedure TForm1.setmodules;
begin
  module1.Caption := avlocknet1.Module1Text;
  module2.Caption := avlocknet1.Module2Text;
  module3.Caption := avlocknet1.Module3Text;
  module4.Caption := avlocknet1.Module4Text;
  module1.visible := avlocknet1.m1;
  module2.visible := avlocknet1.m2;
  module3.visible := avlocknet1.m3;
  module4.visible := avlocknet1.m4;
end;

procedure TForm1.settext;
begin

  if avlocknet1.Registered then  txt:='Registered to : '
  else if avlocknet1.Authorized then txt:='Authorized to : '
  else  txt:='Trial period to : ';
  Label5.caption:=txt;
  LUserName.caption:=avlocknet1.UserName;
  LCompany.caption:=avlocknet1.UserCompany;

end;

procedure TForm1.legend(m,i:integer);
begin

  showmessage('Module: '+inttostr(m)+'       Item: '+inttostr(i)+#13#10+
  '--------------------------------------------'+#13#10+
  txt+avlocknet1.UserName+#13+
  'Company        : '+avlocknet1.UserCompany+#13+
  '--------------------------------------------'+#13#10+
  'Sample program using the AVLock component');

end;

procedure TForm1.Item111Click(Sender: TObject);
begin
  legend(1,1);
end;

procedure TForm1.Item121Click(Sender: TObject);
begin
  legend(1,2);
end;

procedure TForm1.m1Opcin31Click(Sender: TObject);
begin
  legend(1,3);
end;

procedure TForm1.Item211Click(Sender: TObject);
begin
  legend(2,1);
end;

procedure TForm1.Item221Click(Sender: TObject);
begin
  legend(2,2);
end;

procedure TForm1.m3Opcin11Click(Sender: TObject);
begin
  legend(3,1);
end;

procedure TForm1.m3Opcin21Click(Sender: TObject);
begin
  legend(3,2);
end;

procedure TForm1.m3Opcin31Click(Sender: TObject);
begin
  legend(3,3);
end;

procedure TForm1.m4Opcin11Click(Sender: TObject);
begin
  legend(4,1);
end;

procedure TForm1.m4Opcin21Click(Sender: TObject);
begin
  legend(4,2);
end;

procedure TForm1.m5Option11Click(Sender: TObject);
begin
  legend(5,1);
end;

procedure TForm1.m5Option21Click(Sender: TObject);
begin
  legend(5,2);
end;

procedure TForm1.m6Option11Click(Sender: TObject);
begin
  legend(6,1);
end;

procedure TForm1.m7Option11Click(Sender: TObject);
begin
  legend(7,1);
end;

procedure TForm1.m8Option11Click(Sender: TObject);
begin
  legend(8,1);
end;

procedure TForm1.Salir1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Register1Click(Sender: TObject);
begin

  if AVLocknet1.doexecute then setmodules;
  settext;
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('https://secure.element5.com/shareit/checkout.html?productid=181045&language=English'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('https://secure.element5.com/shareit/checkout.html?productid=181046&language=English'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TForm1.Image1Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('http://www.avsoft.sitio.net'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

end.
